Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc.gui
Class TableTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          nl.liacs.subdisc.gui.TableTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class TableTableModel

extends javax.swing.table.AbstractTableModel

TableTableModel is the Model for a `JTable`containing all data from a `Table`. TableTableModel extends `AbstractTableModel` and all methods it overrides are straightforward. The only noteworthy change is the return `String` for the `getColumnName()` method, which returns a 2-line `String` that contains both the name of the `Attribute` of that `Column`, and the number of distinct values for that Attribute.``

See Also:
  Serialized Form

Constructor Summary
`TableTableModel(Table theTable)`

Method Summary
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int theColumnIndex)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int theRow, int theColumn)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableTableModel

    public TableTableModel(Table theTable)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int theColumnIndex)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int theRow,
                                       int theColumn)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD